Course formats: eTask topics format

format_etask
Maintained by Martin DrlikMartin Drlik
eTask topics format extends Topics format and provides the shortest way to manage activities and their comfortable grading. In addition to its clarity, it creates a motivating and competitive environment supporting a positive educational experience.
519 sites
484 downloads
74 fans

On 11 November 2020, we have released a new version of the eTask topics format for Moodle 3.7-3.10. The documentation site was built to help you with everyday work while using this plugin. If you want to know what's new, check the links below.

Questionnaires

Thanks to this plugin, we create a positive educational experience. Therefore, from time to time we prepare questionnaires to improve the eTask topics format and understand how users (both teachers and students) use it. Please check this page regularly if you are interested in participating.

  • There are currently no questionnaires available.

Thanks to

We are using JetBrains to develop this plugin.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4
Screenshot #5
Screenshot #6
Screenshot #7
Screenshot #8

Contributors

Martin Drlik
Martin Drlik (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Martin Drlik
    Mon, Apr 27, 2020, 2:29 AM
    Hello @Luke, I can prepare different filtering for teachers in next release of eTask topics format. Issue was created here https://gitlab.com/drlikm/format_etask/-/issues/1
  • Picture of Jai Kalyan
    Tue, May 5, 2020, 4:02 AM
    I have deleted some of the activities, and recycle bin also empty. But grading table keep showing the activity as active and pending.. How to reset/refresh the grading table so that it only show the present active activities.. and doesn't show the deleted activities..
  • Martin Drlik
    Tue, May 5, 2020, 3:02 PM
    @Jai it is no issue of this plugin, maybe your Moodle instance is configured incorrectly (something is not working). Which version of Moodle are you using, is it production or testing site? Let me know and I will check if everything is ok on the eTask side.
  • Picture of Jai Kalyan
    Tue, May 5, 2020, 6:49 PM
    Moodle 3.8.2, Production site, I also think its problem of something else. I am not able to fix this.
  • Picture of Jai Kalyan
    Wed, May 6, 2020, 10:04 PM
    Thanks, sir now everything is working perfect with the plugin. I can see all the activities in the grading table with all the amazing functions.
  • Picture of Jai Kalyan
    Sat, May 16, 2020, 11:28 PM
    Grading table for individual student is not showing in student's account in standard Moodle app, its showing if login through browser. Should I need to change any setting to enable it in Moodle app.
  • Martin Drlik
    Sun, May 17, 2020, 5:23 AM
    Hi @Jai, eTask does not have a support of the native mobile app, so I created the issue and it is on the todo list, see https://gitlab.com/drlikm/format_etask/-/issues/7. Thank you.
  • Picture of Renato Nicodemos
    Thu, May 28, 2020, 9:12 PM
    Hello Martin! I was unable to use the etask format you could help me. After defining the course format for etask I cannot edit the course. What do I do? Do you have a step by step to help me?
  • Martin Drlik
    Thu, May 28, 2020, 9:21 PM
    Hello Renato, send me, please private message with eTask version, Moodle version, error message if any and you can provide a screenshot as well. I hope I help you.
  • Picture of Edward Shih
    Fri, Aug 21, 2020, 2:42 AM
    Dear Martin, I am very impressed when seeing your upgrade of eTask to Moodle 3.9 with so attractive features, but I encounter following error during the installation to Moodle 3.9.1 version.
    Install plugin from ZIP file
    Debugging output enabled
    ZIP /home/adm2015/domains/worldedu.us/public_html/hs/.hteqzcpfhwl8qi.data/temp/tool_installaddon/0c1df4d5-b797-4ffc-9254-12d79242051f/plugin.zip
    Validating format_etask ... Error
    [OK] Name of the plugin to be installed [etask]

    [OK] Plugin version [2020081800]
    [Error] Required Moodle version [2020060900]

    Installation aborted due to validation failure

    I look forward to your update fro this error soon. Many thanks.
  • Martin Drlik
    Fri, Aug 21, 2020, 3:08 AM
    Dear Edward, required version seems to be correct. Please, go to Site administration -> Server -> Environment: you can see here Moodle version and Build [e.g. 3.9.1+ (Build: 20200814)]. Send me this version and build number via a private message here on Moodle. Many thanks, Martin
  • Martin Drlik
    Fri, Aug 21, 2020, 1:52 PM
    @babar abbasi your links are invalid, if you have any issue, describe it here, please
  • Martin Drlik
    Fri, Aug 28, 2020, 3:05 AM
    Issue with automatic upgrade to the newest version fixed.
1 2 3 4 5
Please login to post comments